# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items

from jmb.core.admin.menu import register_menu

content_file_menu_item = items.MenuItem(
    # GENERAL
    _('Content Files'),
    reverse('admin:app_list', kwargs={'app_label': 'content_file'}),
    children=[
        items.MenuItem(
            _('Content Files'), '',
            children=[
                items.MenuItem(_('Add File'), reverse('admin:content_file_contentfile_add',)),
                items.MenuItem(_('Files List'), reverse('admin:content_file_contentfile_changelist',)),
                items.MenuItem(_('Add File Category'), reverse('admin:content_file_contentfilecategory_add',)),
                items.MenuItem(_('File Category List'), reverse('admin:content_file_contentfilecategory_changelist',)),
            ]
        ),
    ]
)


register_menu(content_file_menu_item, 'jmb.content_file')